cURL
curl -X GET 'https://api.telegent.com/v1.0/workgroups?WorkgroupId=WG-abc123' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/workgroups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/workgroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"WorkgroupId": "WG-abc123",
"Name": "Support Team",
"Type": "ring",
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"Active": true,
"ScheduleId": "SCH-abc123"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Workgroups
Get Workgroup Details
Retrieve configuration details for a specific workgroup by its WorkgroupId. Returns the workgroup’s name, type, members, schedule, and routing settings.
What this does: Returns the full workgroup configuration including name, type, assigned phone number, schedule, timezone, hold music, off-hours forwarding rules, and member activities. Use this to audit a workgroup or retrieve the WG- ID for use in route configuration.
Next steps:
- Add a member —
POST /v1.0/workgroups/activity - Update the workgroup —
POST /v1.0/workgroups/update - Attach to a voice route —
POST /v1.0/voice/routes/update
GET
/
v1.0
/
workgroups
cURL
curl -X GET 'https://api.telegent.com/v1.0/workgroups?WorkgroupId=WG-abc123' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/workgroups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/workgroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"WorkgroupId": "WG-abc123",
"Name": "Support Team",
"Type": "ring",
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"Active": true,
"ScheduleId": "SCH-abc123"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
The workgroup ID to retrieve details for
Response
Success — returns workgroup configuration details
The response is of type object.